Contents

# Sin Function

Angilete sine qolanno. Angile radiyaanetenni badantino. Gumu -1 nna 1 mereero ikkanno.

Using the angle Alpha, the Sin function returns the ratio of the length of the opposite side of an angle to the length of the hypotenuse in a right-angled triangle.

Sin(Alpha) = side opposite the angle/hypotenuse

### Syntax:

    Sin (Number As Double) As Double

### Return value:

Double

### Parameters:

Kiiro: Sine shallagga hasiratto angile radiyaanetenni tirtanno kiirote handaara.

To convert degrees to radians, multiply degrees by Pi/180, and to convert radians to degrees, multiply radians by 180/Pi.

degrees=(radians*180)/Pi

radians=(degrees*Pi)/180

Pi is approximately 3.141593.

### Error codes:

5 Horiweelo aante woshsho

### Example:

    ' Kunni lawishshi giddo, konni woroonni noo eo rayite angile sasimidaadira dandiitamanno:
    'Hypotenesete seendille shallaggate angilete gurcho ikkanno midaadonna angile (digirubbatenni):
    Sub ExampleSine
    ' Pi = 3.1415926 balaxitiro soorramaanchooti
    Dim d1 As Double
    Dim dAlpha As Double
        d1 = EoteSaaxine$ ("Gurchi midaadi seendille eessi: ","Gurchu midaado")
        dAlfa = EoteSaaxine$ ("Angile Alfa eessi(digirubbatenni): ","Alfa")
        "Haypotenesete seendilli"; (d1 / sin (dAlfa * Pi / 180)) attami
    End Sub

Fiixoo'mino umo

Atn Function

Cos Function

Tan Function